function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_hall"
end

function p.__main()
    set_default_block("s")
    create_rect("e", 1,1,1, 14,14,14)

    --Doors.
    create_rect("e", 15,6,6, 15,8,8)
    create_rect("e", 0,6,6, 0,8,8)

    create_rect("e", 6,0,6, 8,0,8)

    local msg_str = "The attached room "
        .. "is for taking screenshots if you want. "
        .. "(room = tut_lev3_photograph)"
    add_bent_s(7,1,5,"bent_base_txt", msg_str);
    
    -- Adding a moving entity using several functions.
    ment_start(12,3,3, "ment_base_tegan_monster_gremlin")
    ment_set_v("posv", 12.5, 2.5, 2.5)
    ment_set_i("armor", 9001) --Changing from the default amount.
    ment_end()
 
    msg_str = "Another thing you can add to a chunk is a "
        .. "\"^x00ff00moving entity^!\". "
        .. "These can move from one chunk to another. "
        .. "For example, rockets and monsters "
        .. "are moving entities. "
        .. "You can add one by calling either "
        .. "^x00ff00add_ment^! or ^x00ff00add_ment_f^!, "
        .. "depending on whether you want the entity "
        .. "to be centered in the middle of a block position, "
        .. "or if you want to specify a finer position. "
        .. "A modified gremlin has been placed within this room. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    msg_str = "The more complex way to add a moving entity "
        .. "is to first call ^x00ff00ment_start^!. "
        .. "Then, you can call ^x00ff00ment_set_v^! and "
        .. "^x00ff00ment_set_i^! to change the "
        .. "individual attributes of the ment. "
        .. "When you are done setting all attributes, "
        .. "call ^x00ff00ment_end^!, "
        .. "which will add the moving entity. "
    add_bent_s(7,7,5,"bent_base_txt",msg_str)
end
